#include <stdio.h>

int main() {
	int n, i;
	scanf("%d",&n);
	float salary[n], sum = 0.0;
	for (i = 0; i < n; i++) {
        scanf("%f", &salary[i]);
        sum += salary[i];
    }
    
    printf("%.2f",sum / n);
	
	return 0;
}